Description

La fonction BP1_set génére une erreur de type "0x07 = Memory access to un-aligned address" a I'exécution dés que i = 1 au niveau
de l'instruction:

*pt_u_short_int = psd | (tmp_u_short_int << nbitsig);

Le soft s'arréte immédiatement.

Le probléme vient de l'instruction qui précére:
pt_u_short_int = (unsigned short int*)&LFR_BP1[i*9+2];
Sii=1,1"9+2 = 11. Les short doivent étre alignés sur des addresses multiple de 2.

Solution envisagée: n'utiliser que des type char, unsigned char, int, unsigned int pour accéder aux données.

History

#1 - 14/03/2014 01:08 PM - paul leroy

- Assignee set to thomas chust

#2 - 30/04/2014 08:07 PM - thomas chust

- Status changed from New to In Progress

Nouvelle version de basic_parameter.c (version 1.2). Le pb d'alignement est réglé pour BP1. Au passage, usage de sdtint.h pour la définition des
types integer (uint16_t, ...). Pour BP2 cela reste encore a faire.

=> commit R6 sur Hephaistos"

ici

#3 - 26/06/2014 04:24 PM - thomas chust

- Status changed from In Progress to Closed
